package com.jspgou.cms.api;

public class Constants {
	public static final String THIRD_SOURCE_WEIXIN_APP="weixinApp";
	
	//内容地址返回http
	public static final int URL_HTTP=1;
	//内容地址返回https
	public static final int URL_HTTPS=0;
	//超时时间
	public static final int USER_OVER_TIME=20;
	/**
	 * 图片占位符开始
	 */
	public static final String 	API_PLACEHOLDER_IMAGE_BEGIN="_img_start_";
	/**
	 * 图片占位符结束
	 */
	public static final String 	API_PLACEHOLDER_IMAGE_END="_img_end_";
	/**
	 * 视频占位符开始
	 */
	public static final String 	API_PLACEHOLDER_LINK_BEGIN="_link_start_";
	/**
	 * 视频占位符结束
	 */
	public static final String 	API_PLACEHOLDER_LINK_END="_link_end_";
	/**
	 * API接口调用状态-成功
	 */
	public static final String 	API_STATUS_SUCCESS="\"true\"";
	public static final String 	G_API_STATUS_SUCCESS="true";
	/**
	 * API接口调用状态失败
	 */
	public static final String 	API_STATUS_FAIL="\"false\"";
	public static final String 	G_API_STATUS_FAIL="false";
	
	/**
	 * API接口消息-异常错误
	 */
	public static final String 	API_MESSAGE_FAIL="\"system exception\"";
	/**
	 * API接口消息-成功
	 */
	public static final String 	API_MESSAGE_SUCCESS="\"success\"";
	public static final String 	G_API_MESSAGE_SUCCESS = "success";
	/**
	 * API接口消息-缺少参数
	 */
	public static final String 	API_MESSAGE_PARAM_REQUIRED="\"param required\"";
	public static final String 	G_API_MESSAGE_PARAM_REQUIRED="param required";
	/**
	 * API接口消息-参数错误
	 */
	public static final String 	API_MESSAGE_PARAM_ERROR="\"param error\"";
	public static final String 	G_API_MESSAGE_PARAM_ERROR="param error";
	/**
	 * API接口消息-APPID错误或被禁用
	 */
	public static final String 	API_MESSAGE_APP_PARAM_ERROR="\"appId not exist or appId disabled\"";
	/**
	 * API接口消息-签名认证错误
	 */
	public static final String 	API_MESSAGE_SIGN_VALIDATE_ERROR="\"sign validate error\"";
	/**
	 * API接口消息-用户未找到
	 */
	public static final String 	API_MESSAGE_USER_NOT_FOUND="\"user not found\"";
	/**
	 * API接口消息-主题未找到
	 */
	public static final String 	API_MESSAGE_TOPIC_NOT_FOUND="\"topic not found\"";
	/**
	 * API接口消息 -不能删除
	 */
	public static final String 	API_MESSAGE_DELETE_ERROR="\"delete error\"";
	/**
	 * API接口消息-用户未登录
	 */
	public static final String 	API_MESSAGE_USER_NOT_LOGIN="\"user not login\"";
	/**
	 * API接口消息-密码错误
	 */
	public static final String 	API_MESSAGE_PASSWORD_ERROR="\"password error\"";
	/**
	 * API接口消息-用户名或密码错误
	 */
	public static final String 	API_MESSAGE_USERNAME_OR_PASSWORD_ERROR="\"username or password error\"";
	/**
	 * API接口消息-邮箱已存在
	 */
	public static final String 	API_MESSAGE_EAMILL_EXIST="\"email exist\"";
	/**
	 * API接口消息-用户名已存在
	 */
	public static final String 	API_MESSAGE_USERNAME_EXIST="\"username exist\"";
	/**
	 * API接口消息-APPID已存在
	 */
	public static final String 	API_MESSAGE_APPID_EXIST="\"appid exist\"";
	/**
	 * API接口消息-原密码错误
	 */
	public static final String 	API_MESSAGE_ORIGIN_PWD_ERROR="\"origin password invalid\"";
	/**
	 * API接口消息-上传错误
	 */
	public static final String 	API_MESSAGE_UPLOAD_ERROR="\"upload file error!\"";
	/**
	 * API接口消息-重复请求API
	 */
	public static final String 	API_MESSAGE_REQUEST_REPEAT="\"request api repeat\"";
	/**
	 * API接口消息-用户没有权限
	 */
	public static final String 	API_MESSAGE_USER_NOT_HAS_PERM="\"user has not perm\"";
	/**
	 * API接口消息-用户超时
	 */
	public static final String 	API_MESSAGE_USER_OVER_TIME="\"user over time\"";
	/**
	 * 管理员被禁用
	 */
	public static final String 	API_MESSAGE_ADMIN_ENABLE="\"admin is  disabled\"";
	/**
	 * API接口消息 -对象未找到
	 */
	public static final String 	API_MESSAGE_OBJECT_NOT_FOUND="\"object not found\"";
	/**
	 * 删除失败之业务数据不允许
	 */
	public static final String 	API_MESSAGE_DEL_FAIL="\"delete fail\"";
	/**
	 * 上传类型文件暂不支持
	 */
	public static final String API_MESSAGE_NOT_SUPPORT_UPLOAD_TYPE = "\"not support uploadType\"";
	/**
	 * 文件名含非法字符，如  \  /等等
	 */
	public static final String API_MESSAGE_FILENAME_CONTAIN_ILLEGALCHAR= "\"fileName contain illegalchar\"";
	/**
	 *图片文件后缀不支持，暂时只支持（ "jpg", "jpeg","gif", "png", "bmp" ）
	 */
	public static final String API_MESSAGE_IMAFILE_NOT_SUPPORT_EXT= "\"imafile not support ext\"";
	/**
	 * 无权限阅读信件
	 */
	public static final String API_MESSAGE_NOT_PERMS_READ= "\"not perms reading\"";
	/**
	 * 路径不能重复
	 */
	public static final String API_MESSAGE_PATH_REPEATE= "\"path not repeate\"";
	/**
	 * 无效的收件用户或用户不存在
	 */
	public static final String API_MESSAGE_INVALID_RECIPIENT_USER= "\"Invalid recipient user or user not exist\"";
	/**
	 * 导入模板失败
	 */
	public static final String API_MESSAGE_EXPORT_TEMPLATE_FAIL =  "\"export template faill\"";
	
	public static final String 	API_ARRAY_SPLIT_STR=",";
	public static final String 	API_LIST_SPLIT_STR=";";
}
