package com.jspgou.cms.api;

public class ResponseCode {
	/**
	 * 无状态，初始值
	 */
	public static final int API_INIT= 0;
	/**
	 * 系统异常
	 */
	public static final int API_CODE_CALL_FAIL  = 100;
	/**
	 * 成功
	 */
	public static final int API_CODE_CALL_SUCCESS= 200;
	
	/**
	 * 缺少参数
	 */
	public static final int API_CODE_PARAM_REQUIRED=201;
	
	/**
	 * 参数错误
	 */
	public static final int API_CODE_PARAM_ERROR=202;
	
	/**
	 * APPID错误或被禁用
	 */
	public static final int API_CODE_APP_PARAM_ERROR=203;
	/**
	 * 签名错误
	 */
	public static final int API_CODE_SIGN_ERROR=204;
	/**
	 * 不能删除
	 */
	public static final int API_CODE_DELETE_ERROR=205;
	/**
	 * 不存在该对象
	 */
	public static final int API_CODE_NOT_FOUND=206;
	/**	
	 *重复请求API
	 */
	public static final int API_CODE_REQUEST_REPEAT=208;
	/**
	 *用户没有权限
	 */
	public static final int API_CODE_USER_NOT_HAS_PERM=209;
	/**
	 * APPID已存在
	 */
	public static final int API_CODE_APPID_EXIST=210;
	/**
	 * 会话超时状态
	 */
	public static final int API_CODE_USER_OVER_TIME=300;
	/**
	 * 邮箱已存在
	 */
	public static final int API_CODE_EAMILL_EXIST=301;
	/**
	 * 用户未登陆
	 */
	public static final int API_CODE_USER_NOT_LOGIN=302;
	/**
	 *密码错误
	 */
	public static final int API_CODE_PASSWORD_ERROR=303;
	/**
	 *用户名已存在
	 */
	public static final int API_CODE_USERNAME_EXIST=304;
	/**
	 *原密码错误
	 */
	public static final int API_CODE_ORIGIN_PWD_ERROR=305;
	/**
	 *用户名或密码错误
	 */
	public static final int API_CODE_USERNAME_OR_PASSWORD_ERROR=306;
	/**
	 *账户被禁用，无法登陆，请联系管理员
	 */
	public static final int API_CODE_ADMIN_ENABLE=307;

	/**
	 *上传错误
	 */
	public static final int API_CODE_UPLOAD_ERROR=400;
	/**
	 * 上传类型文件暂不支持
	 */
	public static final int API_CODE_NOT_SUPPORT_UPLOAD_TYPE=401;
	/**
	 * 文件名含非法字符，如  \  /等等
	 */
	public static final int API_CODE_FILENAME_CONTAIN_ILLEGALCHAR= 402;
	/**
	 *图片文件后缀不支持，暂时只支持（ "jpg", "jpeg","gif", "png", "bmp" ）
	 */
	public static final int API_CODE_IMAFILE_NOT_SUPPORT_EXT= 403;
	
	/**
	 * 无权限预览信件
	 */
	public static final int API_CODE_NOT_PERMS_READ=500;
	/**
	 * 无效的收件用户或用户不存在
	 */
	public static final int API_CODE_INVALID_RECIPIENT_USER=501;
	
	/**
	 * 路径不能重复
	 */
	public static final int API_CODE_PATH_REPEATE=502;
	
	/**
	 * 导入模板失败
	 */
	public static final int API_CODE_EXPORT_TEMPLATE_FAIL = 600;
	
	
}
